r2270 - trunk/misc

DONOTREPLY at icculus.org DONOTREPLY at icculus.org
Fri Mar 30 10:22:06 EDT 2007


Author: div0
Date: 2007-03-30 10:22:05 -0400 (Fri, 30 Mar 2007)
New Revision: 2270

Modified:
   trunk/misc/makebuild.sh
   trunk/misc/nexuiz-map-compiler
Log:
makebuild updated
nexuiz-map-compiler now supports Q3MAP2FLAGS (like -threads 4)


Modified: trunk/misc/makebuild.sh
===================================================================
--- trunk/misc/makebuild.sh	2007-03-28 20:52:42 UTC (rev 2269)
+++ trunk/misc/makebuild.sh	2007-03-30 14:22:05 UTC (rev 2270)
@@ -1,8 +1,17 @@
 #!/bin/sh
-set -ex
+set -e
 
 base=`pwd`
 
+
+case "$pw" in
+	'')
+		zipflags=
+		;;
+	*)
+		zipflags="-P $pw"
+		;;
+esac
 case "$version" in
 	[0-9]*)
 		versiontag=
@@ -34,7 +43,7 @@
 fteqcc="fteqcc.bin -O2"
 mingw=/home/polzer/mingw32
 ia32=/chroot/fc6-i386
-osxhost=macmini_osx
+osxhost=macmini
 osxtemp=/Users/rpolzer/Darkplaces.build
 osxsave=/tmp/Nexuiz.osx
 
@@ -42,14 +51,26 @@
 	osxhost="$1"
 fi
 
+conflicts=`find "$dpdir" "$nexdir" -name '*.orig' -o -name '*.rej' -o -name '*.mine' -o -name '.#*' -o -name '.*~'`
+if [ -n "$conflicts" ]; then
+	echo "CONFLICTS OR UNNEEDED FILES HAVE BEEN FOUND!"
+	echo "NOT PROCEEDING"
+	echo
+	echo "$conflicts"
+	exit 1
+fi
+
 : ${date:=`date +%Y%m%d`}
 : ${versiontag:=}
 echo "date stamp: $date"
 
+set -x
+
 buildosx()
 {
 	rsync --exclude "*.o" --exclude "*.d" --exclude "nexuiz-*" --delete-excluded --delete -zvaSHP . $copystrip "$osxhost:$osxtemp"
 	ssh "$osxhost" ". ~/.profile && cd $osxtemp && PATH=$osxtemp/copystrip:\$PATH make CC=\"gcc -g -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk\" clean $*"
+	rmdir "$osxsave" || true
 	if [ -d "$osxsave" ]; then
 		cp "$osxsave"/* .
 	fi
@@ -76,6 +97,8 @@
 rm -rf "$tmpdir"
 mkdir -p "$tmpdir"
 cd "$dpdir"
+quilt pop -a || true
+quilt push -a
 
 cp -r "$osxapps"/*.app "$tmpdir"
 mkdir "$tmpdir/debuginfo"
@@ -176,21 +199,21 @@
 find . -name .svn -exec rm -rf {} \; -prune
 
 rm -f "$zipdir/nexuiz$date$ext.zip"
-zip -9yr "$zipdir/nexuiz$date$ext.zip"           Nexuiz/gpl.txt Nexuiz/nexuiz* Nexuiz/Nexuiz* Nexuiz/*.dll Nexuiz/sources Nexuiz/Docs Nexuiz/data/data$date.pk3 Nexuiz/data/common-spog.pk3
+zip $zipflags -9yr "$zipdir/nexuiz$date$ext.zip"           Nexuiz/gpl.txt Nexuiz/nexuiz* Nexuiz/Nexuiz* Nexuiz/*.dll Nexuiz/sources Nexuiz/Docs Nexuiz/data/data$date.pk3 Nexuiz/data/common-spog.pk3
 rm -f "$zipdir/nexuizengineonly$date$ext.zip"
-zip -9yr "$zipdir/nexuizengineonly$date$ext.zip" Nexuiz/gpl.txt Nexuiz/nexuiz* Nexuiz/Nexuiz* Nexuiz/*.dll
+zip $zipflags -9yr "$zipdir/nexuizengineonly$date$ext.zip" Nexuiz/gpl.txt Nexuiz/nexuiz* Nexuiz/Nexuiz* Nexuiz/*.dll
 rm -f "$zipdir/nexuizsource$date$ext.zip"
-zip -9yr "$zipdir/nexuizsource$date$ext.zip"     Nexuiz/gpl.txt                                            Nexuiz/sources
+zip $zipflags -9yr "$zipdir/nexuizsource$date$ext.zip"     Nexuiz/gpl.txt                                            Nexuiz/sources
 
 zipdiff -o "Nexuiz/data/datapatch$date.pk3" -f "$basepk3" -t Nexuiz/data/data$date.pk3
 mkdir -p gfx
 if unzip "Nexuiz/data/data$date.pk3" gfx/brand.tga; then
-	zip -9r "Nexuiz/data/datapatch$date.pk3" gfx/brand.tga
+	zip $zipflags -9r "Nexuiz/data/datapatch$date.pk3" gfx/brand.tga
 	rm -rf gfx
 fi
 
 rm -f "$zipdir/nexuizpatch$date$ext.zip"
-zip -9yr "$zipdir/nexuizpatch$date$ext.zip"      Nexuiz/gpl.txt Nexuiz/nexuiz* Nexuiz/Nexuiz* Nexuiz/*.dll Nexuiz/sources Nexuiz/Docs Nexuiz/data/datapatch$date.pk3
+zip $zipflags -9yr "$zipdir/nexuizpatch$date$ext.zip"      Nexuiz/gpl.txt Nexuiz/nexuiz* Nexuiz/Nexuiz* Nexuiz/*.dll Nexuiz/sources Nexuiz/Docs Nexuiz/data/datapatch$date.pk3
 
 rm -f "$zipdir/nexuizdebug$date$ext.zip"
-zip -9yr "$zipdir/nexuizdebug$date$ext.zip"      Nexuiz/gpl.txt Nexuiz/debuginfo/*
+zip $zipflags -9yr "$zipdir/nexuizdebug$date$ext.zip"      Nexuiz/gpl.txt Nexuiz/debuginfo/*

Modified: trunk/misc/nexuiz-map-compiler
===================================================================
--- trunk/misc/nexuiz-map-compiler	2007-03-28 20:52:42 UTC (rev 2269)
+++ trunk/misc/nexuiz-map-compiler	2007-03-30 14:22:05 UTC (rev 2270)
@@ -99,7 +99,7 @@
 
 sub q3map2(@)
 {
-	my @args = ($Q3MAP2, '-game', 'quake3', '-fs_basepath', $NEXUIZDIR, '-fs_game', 'data', '-v', @_);
+	my @args = ($Q3MAP2, split(/\s+/, $Q3MAP2FLAGS), '-game', 'quake3', '-fs_basepath', $NEXUIZDIR, '-fs_game', 'data', '-v', @_);
 	print "\$ @args\n";
 	return !system @args;
 }




More information about the nexuiz-commits mailing list